﻿@page
@model IndexModel
@{
    ViewData["Title"] = "How is the weather?";
}

<div class="row">
    <div class="col-xs-10 col-xs-offset-1">
        <h2>Available cities</h2>
        <form method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <select asp-for="ChosenCityId" asp-items="Model.AvailableCities">
                <option value="">Choose...</option>
            </select>
            <hr/>
            <div class="form-group">
                <button type="submit" class="btn btn-primary">Get weather info <i class="glyphicon glyphicon-cloud"></i></button>
            </div>
        </form>
    </div>
    @if (Model.Weather != null)
    {
        <div class="row">
            <div class="col-xs-10 col-xs-offset-1">
                <h3>Current weather in @Model.ChosenCityName :</h3>
                <table class="table table-striped table-bordered">
                    <thead>
                    <tr>
                        <th>Temperature</th>
                        <th>Humidity</th>
                        <th>Pressure</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>@Model.Weather.Main.Temp °C</td>
                        <td>@Model.Weather.Main.Humidity %</td>
                        <td>@Model.Weather.Main.Pressure hPa</td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    }
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}